(defun C:test (/)

 (setq clay (getvar "CLAYER"))
 (setq OSM (getvar "osmode"))
 (setq ASN (getvar "autosnap"))
 (setq TG (getvar "textsize"))
 (setq DEZ (getvar "luprec")) (command "-LAYER" "ma" "CT-Allianz-Modell" "")

  (setq MD_ERR  *ERROR*
        *ERROR* M:FEHLER
        ) ;_ end of setq 

  (command "_UNDO" "_MARK")				;Marke fr Zurck nach Abbruch setzen

 (setvar "OSMODE" 32)
 (setvar "autosnap" 39)

 (setq Mass 100)					; Fester Skalierfaktor
 (setq MASSNEU (* 2.5 MASS))
 (command "textsize" MASSNEU)

 (Setq BA (Getint "\nBauabschnitt: "))
 (Setq A (Getint "\nStart Radialachse (Zhler): "))
 (Setq RA (Getint "\nStart Ringachse (konstant): "))


  (setq listnam (getfiled "Punktliste anlegen" "Textfile" "txt" 1))

  (if listnam
    (progn
      (While
        (setq pkt (getpoint "Punkt zeigen: "))
         /=
         NULL

	 (Setq F (Itoa A))

         (setq XA "")
	 (if (< A 10) (setq XA "0"))
         (setq XRA "")
	 (if (< RA 10) (setq XRA "0"))
	 (setq NR (strcat (itoa BA) XA (itoa A) XRA (itoa RA)))

	 (Command "Text" Pkt "" 0 NR)
	 (Command "Text" "" (rtos (car pkt)))
	 (Command "Text" "" (rtos (cadr pkt)))
	 (Command "Text" "" (rtos (caddr pkt)))
         (Command "_point" pkt)

        (setq pktlst (strcat (itoa BA) " " XA (itoa A) " " XRA (itoa RA)
                              " "
			      (rtos (car pkt))
                              " "
                              (rtos (cadr pkt))
                              " "
                              (rtos (caddr pkt))
         	      ) ;_ end of strcat
         ) ;_ end of setq

	 (Setq A (+ A 1))

         (setq DAT_ID (open listnam "a"))
         (write-line pktlst DAT_ID)
         (close DAT_ID)
         ) ;_ end of While
      ) ;_ end of progn
    ) ;_ end of if
  (command "LAYER" "SE" clay "")
  (command "osmode" OSM)
  (command "autosnap" ASN)

  ) ;_ end of defun


(defun M:FEHLER (S)
  (print (strcat "M:fehler " S))
  (close DAT_ID)
  (command)
  (command "_UNDO" "_BACK")
  (setq *ERROR* MD_ERR)
  (princ)
  (command "LAYER" "SE" clay "")
  (command "osmode" OSM)
  (command "autosnap" ASN)
  ) ;_ end of defun
;|Visual LISP Format Options
(72 2 40 1 T "end of " 60 9 0 0 0 nil T nil T)
;*** KEINEN Text unterhalb des Kommentars hinzufgen! ***|;
